package com.goafanti.common.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * temporary_receivables
 * @author 
 */
public class TemporaryReceivables implements Serializable {
    /**
     * id
     */
    private Integer id;

    /**
     * 订单编号
     */
    private String orderNo;

    /**
     * 公司名称
     */
    private String corporateName;

    /**
     * 收款金额
     */
    private BigDecimal amount;

    /**
     * 回款时间
     */
    private Date receivablesTime;

    /**
     * 人员id
     */
    private String aid;

    /**
     * 备注
     */
    private String remarks;

    /**
     *  0正常 1重复 2收款大于总额 3未知错误
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 财务流水编号
     */
    private String financialPayNo;

    /**
     * 合并状态 0正常 1待合并
     */
    private Integer mergeStatus;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getCorporateName() {
        return corporateName;
    }

    public void setCorporateName(String corporateName) {
        this.corporateName = corporateName;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Date getReceivablesTime() {
        return receivablesTime;
    }

    public void setReceivablesTime(Date receivablesTime) {
        this.receivablesTime = receivablesTime;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getFinancialPayNo() {
        return financialPayNo;
    }

    public void setFinancialPayNo(String financialPayNo) {
        this.financialPayNo = financialPayNo;
    }

    public Integer getMergeStatus() {
        return mergeStatus;
    }

    public void setMergeStatus(Integer mergeStatus) {
        this.mergeStatus = mergeStatus;
    }
}